%define buildnb 1860

%define tarball_base opera-%{version}-%{buildnb}

%define arch_exclude_files_from_autoreq ^$
%ifarch x86_64
# Exclude 32-bit requires on x86_64; plugins will pull them.
%define arch_exclude_files_from_autoreq ^%{_libdir}/%{name}/pluginwrapper/operapluginwrapper-ia32-linux$
%endif

# Exclude requires on GTK/KDE toolkits, they are optional and used
# automatically when present.
%define common_exclude_files_from_autoreq ^%{_libdir}/%{name}/libopera.\\+\\.so$\\|^%{_libdir}/%{name}/opera_autoupdatechecker$

%define __noautoreqfiles (%{arch_exclude_files_from_autoreq}|%{common_exclude_files_from_autoreq})

%define debug_package   %{nil}
%define __check_files   %{nil}

Summary:	Opera Web Browser for Linux (legacy Presto engine)
Name:		opera-presto
Version:	12.16
Release:	4
License:	Freeware
Group:		Networking/WWW
Url:		http://www.opera.com/
Source0:	%{tarball_base}.i386.linux.tar.xz
Source1:	%{tarball_base}.x86_64.linux.tar.xz
Source2:	standard_skin.zip
#Source3:	bookmarks.adr
Patch0:		ru_lng_fixes.i386.patch
Patch1:		ru_lng_fixes.x86_64.patch
BuildRequires:	desktop-file-utils
Provides:	opera = %{EVRD}
Obsoletes:	opera < 12.16-2
ExclusiveArch:	%{ix86} x86_64

%description
Opera for Linux is an alternative feature-rich Web browser. This version is
built using the legacy Presto engine which is outdated and no longer supported.

%files
%doc rpmdocs/*
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}-*.*
%{_iconsdir}/hicolor/*/mimetypes/%{name}-*.*
%{_datadir}/applications/%{name}-browser.desktop
%{_datadir}/mime/packages/%{name}-*.xml
%{_mandir}/man1/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cert.pem
%{_datadir}/%{name}/encoding.bin
%{_datadir}/%{name}/*.dtd
%{_datadir}/%{name}/*.sig
%{_datadir}/%{name}/html5_entity_init.dat
%{_datadir}/%{name}/pubsuffix.xml
%{_datadir}/%{name}/lngcode.txt
%{_datadir}/%{name}/package-id.ini
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/extra
%{_datadir}/%{name}/region
%{_datadir}/%{name}/skin
%{_datadir}/%{name}/styles
%{_datadir}/%{name}/ui
%{_datadir}/%{name}/locale/en
# langs
%dir %{_datadir}/%{name}/locale
%lang(af) %{_datadir}/%{name}/locale/af
%lang(ar) %{_datadir}/%{name}/locale/ar
%lang(az) %{_datadir}/%{name}/locale/az
%lang(be) %{_datadir}/%{name}/locale/be
%lang(bg) %{_datadir}/%{name}/locale/bg
%lang(bn) %{_datadir}/%{name}/locale/bn
%lang(cs) %{_datadir}/%{name}/locale/cs
%lang(da) %{_datadir}/%{name}/locale/da
%lang(de) %{_datadir}/%{name}/locale/de
%lang(el) %{_datadir}/%{name}/locale/el
%lang(en_GB) %{_datadir}/%{name}/locale/en-GB
%lang(es_ES) %{_datadir}/%{name}/locale/es-ES
%lang(es_LA) %{_datadir}/%{name}/locale/es-LA
%lang(et) %{_datadir}/%{name}/locale/et
%lang(fa) %{_datadir}/%{name}/locale/fa
%lang(fi) %{_datadir}/%{name}/locale/fi
%lang(fr) %{_datadir}/%{name}/locale/fr
%lang(fr_CA) %{_datadir}/%{name}/locale/fr-CA
%lang(fy) %{_datadir}/%{name}/locale/fy
%lang(gd) %{_datadir}/%{name}/locale/gd
%lang(he) %{_datadir}/%{name}/locale/he
%lang(hi) %{_datadir}/%{name}/locale/hi
%lang(hr) %{_datadir}/%{name}/locale/hr
%lang(hu) %{_datadir}/%{name}/locale/hu
%lang(id) %{_datadir}/%{name}/locale/id
%lang(it) %{_datadir}/%{name}/locale/it
%lang(ja) %{_datadir}/%{name}/locale/ja
%lang(ka) %{_datadir}/%{name}/locale/ka
%lang(kk) %{_datadir}/%{name}/locale/kk
%lang(ko) %{_datadir}/%{name}/locale/ko
%lang(lt) %{_datadir}/%{name}/locale/lt
%lang(lv) %{_datadir}/%{name}/locale/lv
%lang(me) %{_datadir}/%{name}/locale/me
%lang(mk) %{_datadir}/%{name}/locale/mk
%lang(ms) %{_datadir}/%{name}/locale/ms
%lang(nb) %{_datadir}/%{name}/locale/nb
%lang(nl) %{_datadir}/%{name}/locale/nl
%lang(nn) %{_datadir}/%{name}/locale/nn
%lang(pa) %{_datadir}/%{name}/locale/pa
%lang(pl) %{_datadir}/%{name}/locale/pl
%lang(pt) %{_datadir}/%{name}/locale/pt
%lang(pt_BR) %{_datadir}/%{name}/locale/pt-BR
%lang(ro) %{_datadir}/%{name}/locale/ro
%lang(ru) %{_datadir}/%{name}/locale/ru
%lang(sk) %{_datadir}/%{name}/locale/sk
%lang(sr) %{_datadir}/%{name}/locale/sr
%lang(sv) %{_datadir}/%{name}/locale/sv
%lang(sw) %{_datadir}/%{name}/locale/sw
%lang(ta) %{_datadir}/%{name}/locale/ta
%lang(te) %{_datadir}/%{name}/locale/te
%lang(th) %{_datadir}/%{name}/locale/th
%lang(tl) %{_datadir}/%{name}/locale/tl
%lang(tr) %{_datadir}/%{name}/locale/tr
%lang(uk) %{_datadir}/%{name}/locale/uk
%lang(ur) %{_datadir}/%{name}/locale/ur
%lang(uz) %{_datadir}/%{name}/locale/uz
%lang(vi) %{_datadir}/%{name}/locale/vi
%lang(zh_CN) %{_datadir}/%{name}/locale/zh-cn
%lang(zh_TW) %{_datadir}/%{name}/locale/zh-tw
%lang(zu) %{_datadir}/%{name}/locale/zu

#----------------------------------------------------------------------------

%prep
%ifarch x86_64
%setup -qTn opera-%{version}-%{buildnb}.%{_arch}.linux -b1
%patch1 -p1
%else
%setup -qTn opera-%{version}-%{buildnb}.%{_arch}.linux -b0
%patch0 -p1
%endif

%build

%install
./install --system --repackage %{buildroot}%{_prefix} --prefix %{_prefix} --name %{name}

%if "%{_lib}" != "lib"
mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif
sed -i 's,/usr/lib,%{_libdir},' %{buildroot}%{_bindir}/%{name}

# When using custom name, the profile name changes as well. Replace it back
# into .opera (besides, even if we used .opera-presto, there is .opera hardcoded
# in the binaries, and both .opera and .opera-presto will be present).
sed -i -e 's,\$HOME/.opera-presto,\$HOME/.opera,' %{buildroot}%{_bindir}/%{name}

rm -rf rpmdocs
mv %{buildroot}%{_docdir}/%{name} rpmdocs

# install fixed skin
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/skin/standard_skin.zip

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category=X-MandrivaLinux-CrossDesktop \
	%{buildroot}%{_datadir}/applications/%{name}-browser.desktop

# StartupNotify does not work correctly when opera is already running;
# the already-existing window is activated and a new tab is opened
# and the completion signal is not sent.
sed -i -e 's/StartupNotify=.*/StartupNotify=false/' %{buildroot}%{_datadir}/applications/%{name}-browser.desktop


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 12.16-4
- (4ad66f4) MassBuild#1250: Increase release tag


